--- old/usr/src/lib/libinstzones/hdrs/instzones_api.h	2015-11-11 10:43:16.685636621 -0500
+++ new/usr/src/lib/libinstzones/hdrs/instzones_api.h	2015-11-11 10:43:16.690794435 -0500
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2015 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
  */
 
 #ifndef _INSTZONES_API_H
@@ -91,6 +92,8 @@
 
 extern boolean_t	z_zones_are_implemented(void);
 extern void		z_set_zone_root(const char *zroot);
+extern int		z_zlist_is_zone_auto_create_be(zoneList_t, int,
+				boolean_t *);
 extern boolean_t	z_zlist_is_zone_runnable(zoneList_t a_zoneList,
 				int a_zoneIndex);
 extern boolean_t	z_zlist_restore_zone_state(zoneList_t a_zoneList,
@@ -112,6 +115,7 @@
 				char *a_userAdminFilename);
 extern void		z_free_zone_list(zoneList_t a_zoneList);
 extern zoneList_t	z_get_nonglobal_zone_list(void);
+extern zoneList_t	z_get_nonglobal_branded_zone_list(void);
 extern zoneList_t	z_get_nonglobal_zone_list_by_brand(zoneBrandList_t *);
 extern void		z_free_brand_list(zoneBrandList_t *a_brandList);
 extern zoneBrandList_t	*z_make_brand_list(const char *brandList,
